public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/prosody/
Date: Wed, 14 Dec 2022 09:39:25 +0000 (UTC)	[thread overview]
Message-ID: <1671010751.f3da271eb8ff3b4d2d6868a6e7c3f3126378dcf8.conikost@gentoo> (raw)

commit:     f3da271eb8ff3b4d2d6868a6e7c3f3126378dcf8
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 14 09:38:48 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Dec 14 09:39:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3da271e

net-im/prosody: add 0.12.2

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-im/prosody/Manifest              |   1 +
 net-im/prosody/prosody-0.12.2.ebuild | 164 +++++++++++++++++++++++++++++++++++
 2 files changed, 165 insertions(+)

diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index 3a2602eb46c9..6b6b217d70db 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1 +1,2 @@
 DIST prosody-0.12.1.tar.gz 611898 BLAKE2B 0b65ffbd6d4703f9e5fbac80e8887a4a41297afd22a776fb2eaa718b309f46c55a9d78f1d3ea97d4434c6ea2ebfe7a9051532ceda25ad78611769bd031894084 SHA512 705d2bcd38ffb19e90dab19992711aebf3d81f7bca7f9791ae5149510d465ec837ddf26a8c547eff2f2d131e5a694ddc3d0aac0b8921df65808192ae00527a85
+DIST prosody-0.12.2.tar.gz 614303 BLAKE2B f44f2106e3064b6ecb5d75718997ed980309e9debbd9f0b17eaeb3261d27421774097ba16bfd8d86d4bf1dd8f427c653b494b199676738d8781ffa37f9b73c5f SHA512 dd14d2740b67127e7edcf79db7d1fd81b4566d4a285430edb9dd7263ad109fdd6e581a1d93fcbf971f73fa5ba051ae7935a121d31e3e7448cacfcd8ecbd802bb

diff --git a/net-im/prosody/prosody-0.12.2.ebuild b/net-im/prosody/prosody-0.12.2.ebuild
new file mode 100644
index 000000000000..e9cab9fb7d64
--- /dev/null
+++ b/net-im/prosody/prosody-0.12.2.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+LUA_REQ_USE="deprecated(+)"
+
+inherit lua-single systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Prosody is a modern XMPP communication server"
+HOMEPAGE="https://prosody.im/"
+SRC_URI="https://prosody.im/downloads/source/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="icu +idn +libevent ldap mysql postgres selinux +sqlite +ssl test +zlib"
+REQUIRED_USE="
+	^^ ( icu idn )
+	${LUA_REQUIRED_USE}
+"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	acct-group/prosody
+	acct-user/prosody
+	$(lua_gen_cond_dep 'dev-lua/luaexpat[${LUA_USEDEP}]')
+	$(lua_gen_cond_dep 'dev-lua/luafilesystem[${LUA_USEDEP}]')
+	dev-lua/luarocks[${LUA_SINGLE_USEDEP}]
+	$(lua_gen_cond_dep 'dev-lua/luasocket[${LUA_USEDEP}]')
+	$(lua_gen_cond_dep 'dev-lua/lua-unbound[${LUA_USEDEP}]')
+	$(lua_gen_cond_dep 'dev-lua/readline[${LUA_USEDEP}]')
+	icu? ( dev-libs/icu:= )
+	idn? ( net-dns/libidn:= )
+	ldap? ( $(lua_gen_cond_dep 'dev-lua/lualdap[${LUA_USEDEP}]') )
+	libevent? ( $(lua_gen_cond_dep 'dev-lua/luaevent[${LUA_USEDEP}]') )
+	dev-libs/openssl:0=
+	lua_single_target_lua5-1? ( $(lua_gen_cond_dep 'dev-lua/lua-bit32[lua_targets_lua5-1(-)]') )
+	mysql? ( $(lua_gen_cond_dep 'dev-lua/luadbi[mysql,${LUA_USEDEP}]') )
+	postgres? ( $(lua_gen_cond_dep 'dev-lua/luadbi[postgres,${LUA_USEDEP}]') )
+	sqlite? ( $(lua_gen_cond_dep 'dev-lua/luadbi[sqlite,${LUA_USEDEP}]') )
+	ssl? ( $(lua_gen_cond_dep 'dev-lua/luasec[${LUA_USEDEP}]') )
+	zlib? ( $(lua_gen_cond_dep 'dev-lua/lua-zlib[${LUA_USEDEP}]') )
+	${LUA_DEPS}
+"
+
+RDEPEND="
+	${DEPEND}
+	selinux? ( sec-policy/selinux-jabber )
+"
+
+BDEPEND="
+	virtual/pkgconfig
+	test? ( $(lua_gen_cond_dep 'dev-lua/busted[${LUA_USEDEP}]') )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-0.12.0-gentoo.patch" )
+
+src_prepare() {
+	default
+
+	# Set correct plugin path for optional net-im/prosody-modules package
+	sed -e "s/GENTOO_LIBDIR/$(get_libdir)/g" -i prosody.cfg.lua.dist || die
+}
+
+src_configure() {
+	local myeconfargs=(
+		--add-cflags="${CFLAGS}"
+		--add-ldflags="${LDFLAGS}"
+		--c-compiler="$(tc-getCC)"
+		--datadir="${EPREFIX}/var/lib/prosody"
+		--idn-library="$(usex idn 'idn' 'icu')"
+		--libdir="${EPREFIX}/usr/$(get_libdir)"
+		--linker="$(tc-getCC)"
+		--lua-version="$(usex lua_single_target_luajit '5.1' $(ver_cut 1-2 $(lua_get_version)))"
+		--no-example-certs
+		--ostype="linux"
+		--prefix="${EPREFIX}/usr"
+		--runwith="${ELUA}"
+		--sysconfdir="${EPREFIX}/etc/prosody"
+		--with-lua-include="${EPREFIX}/$(lua_get_include_dir)"
+		--with-lua-lib="${EPREFIX}/$(lua_get_cmod_dir)"
+	)
+
+	# Since the configure script is handcrafted,
+	# and yells at unknown options, do not use 'econf'.
+	./configure "${myeconfargs[@]}" || die
+
+	rm makefile || die
+	mv GNUmakefile Makefile || die
+}
+
+src_install() {
+	default
+
+	keepdir /var/lib/prosody
+
+	newinitd "${FILESDIR}"/prosody.initd-r6 prosody
+	systemd_newunit "${FILESDIR}"/prosody.service-r3 prosody.service
+
+	newtmpfiles "${FILESDIR}"/prosody.tmpfilesd-r2 prosody.conf
+}
+
+pkg_postinst() {
+	local migrate_to_prosody_user="false"
+	tmpfiles_process prosody.conf
+
+	if [[ ${REPLACING_VERSIONS} ]]; then
+		for v in ${REPLACING_VERSIONS}; do
+			if ver_test "${v}" -lt 0.12.0; then
+				migrate_to_prosody_user="true"
+				break
+			fi
+		done
+	fi
+
+	# Sarting with >=0.12.0, the prosody configuration is now in
+	# /etc/prosody and no longer in /etc/jabber.
+	# See if we need to migrate the configuration. Furthermore,
+	# prosody no longer runs under the, shared via net-im/jabber-base,
+	# 'jabber' use, but under its own user.
+	# This increase isolation and hence robustness and security.
+	if ${migrate_to_prosody_user}; then
+		local -A dirs_to_migrate=(
+			[/etc/jabber]=/etc/prosody
+			[/var/log/jabber]=/var/log/prosody
+			[/var/spool/jabber]=/var/lib/prosody
+		)
+
+		for src_dir in "${!dirs_to_migrate[@]}"; do
+			local eroot_src_dir="${EROOT}/${src_dir}"
+			local eroot_dst_dir="${EROOT}/${dirs_to_migrate[${src_dir}]}"
+
+			cp -r "${eroot_src_dir}"/. "${eroot_dst_dir}" || die "Could not copy ${eroot_src_dir} to ${eroot_dst_dir}"
+
+			if [[ -f "${eroot_dst_dir}"/.keep_net-im_jabber-base-0 ]]; then
+				rm "${eroot_dst_dir}"/.keep_net-im_jabber-base-0 || die
+			fi
+
+			if ! use prefix; then
+				chown --recursive prosody:prosody "${eroot_dst_dir}" || die
+			fi
+		done
+
+		# Update configuration file to match new pathes and permissions
+		local mysedargs=(
+			-e "'s#/etc/jabber#/etc/prosody#g'"
+			-e "'s#/run/jabber#/run/prosody#g'"
+			-e "'s#/var/log/jabber#/var/log/prosody#g'"
+			-e "'s/prosody_user.*/prosody_user = \"prosody\";/g'"
+			-e "'s/prosody_group.*/prosody_group = \"prosody\";/g'"
+			-i /etc/prosody/prosody.cfg.lua
+		)
+
+		eval sed "${mysedargs[@]}" || die
+
+		ewarn "Newer versions of the prosody (Gentoo) package use ${EROOT}/etc/prosody"
+		ewarn "(just as upstream) and *not* anymore ${EROOT}/etc/jabber."
+		ewarn "The files from ${EROOT}/etc/jabber where copied to ${EROOT}/etc/prosody."
+		ewarn "Also prosody's spool directory became ${EROOT}/var/lib/prosody (was ${EROOT}/var/spool/jabbber)."
+		ewarn "Please check your configuration."
+	fi
+}


             reply	other threads:[~2022-12-14  9:39 UTC|newest]

Thread overview: 106+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-14  9:39 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-10 23:35 [gentoo-commits] repo/gentoo:master commit in: net-im/prosody/ Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-09-08 15:48 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-03-25  0:11 Conrad Kostecki
2023-02-21 20:03 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-07-10 20:13 Conrad Kostecki
2022-06-10 18:56 Conrad Kostecki
2022-04-17 14:44 Conrad Kostecki
2022-04-17 14:44 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-02-24 19:31 Conrad Kostecki
2022-01-24 16:48 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2022-01-13 17:11 Conrad Kostecki
2021-12-21  0:40 Conrad Kostecki
2021-08-26 21:09 Conrad Kostecki
2021-08-26 21:03 Sam James
2021-08-25  4:23 Agostino Sarubbo
2021-08-11  0:04 Sam James
2021-08-09  6:40 Agostino Sarubbo
2021-08-07 22:49 Conrad Kostecki
2021-05-16  0:57 Conrad Kostecki
2021-05-16  0:03 Sam James
2021-05-14 17:22 Sam James
2021-05-14  9:36 Agostino Sarubbo
2021-05-14  9:30 Agostino Sarubbo
2021-05-13 23:28 Conrad Kostecki
2021-05-02 19:40 Mikle Kolyada
2021-03-01 19:17 Sam James
2021-03-01 19:17 Sam James
2021-03-01  9:20 Agostino Sarubbo
2021-02-25 13:54 Agostino Sarubbo
2021-02-15 20:58 Conrad Kostecki
2021-01-27 20:09 Conrad Kostecki
2021-01-23 22:51 Sam James
2021-01-23 22:51 Sam James
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2021-01-04  0:25 Conrad Kostecki
2020-12-25 13:06 Conrad Kostecki
2020-12-14 17:59 Conrad Kostecki
2020-12-13 19:39 Conrad Kostecki
2020-12-05 20:55 Conrad Kostecki
2020-11-26 11:29 Sam James
2020-11-26  8:26 Sam James
2020-11-25 10:28 Thomas Deutschmann
2020-10-12 11:37 Conrad Kostecki
2020-10-03 18:35 Conrad Kostecki
2020-10-03 14:45 Conrad Kostecki
2020-10-03 13:43 Conrad Kostecki
2020-10-03 13:43 Conrad Kostecki
2020-09-09  9:42 Tobias Klausmann
2020-05-05 14:40 Tobias Klausmann
2020-05-04 15:28 Agostino Sarubbo
2020-05-04 15:15 Agostino Sarubbo
2020-05-04 14:38 Agostino Sarubbo
2020-04-19  8:58 Tobias Klausmann
2020-04-11  5:33 Jason A. Donenfeld
2020-01-09 18:41 Rafael Martins
2019-11-01 14:38 Tobias Klausmann
2019-07-29  8:48 Mikle Kolyada
2019-05-19 20:53 Mikle Kolyada
2019-05-13  1:41 Thomas Deutschmann
2019-02-17 22:35 Thomas Deutschmann
2019-02-16 17:16 Tobias Klausmann
2019-01-17 14:19 Tobias Klausmann
2018-12-29 19:12 Thomas Deutschmann
2018-12-29 12:10 Mikle Kolyada
2018-12-26 14:38 Tobias Klausmann
2018-12-26 14:15 Tobias Klausmann
2018-12-02 17:11 Tobias Klausmann
2018-12-02 17:06 Tobias Klausmann
2018-11-26 13:28 Tobias Klausmann
2018-06-11 18:04 Tobias Klausmann
2018-06-11 17:58 Markus Meier
2018-06-02 17:36 Agostino Sarubbo
2018-06-01 13:01 Tobias Klausmann
2018-04-23 21:43 Mikle Kolyada
2017-10-29 22:08 Thomas Deutschmann
2017-10-29 11:17 Manuel Rüger
2017-10-09 13:44 Tobias Klausmann
2017-01-13 15:18 Tobias Klausmann
2017-01-02 19:35 Markus Meier
2016-12-26 18:41 Tobias Klausmann
2016-12-05  8:35 Tobias Klausmann
2016-11-05 14:41 Tobias Klausmann
2016-11-05 14:36 Tobias Klausmann
2016-06-28 12:02 Tobias Klausmann
2016-06-27  8:48 Agostino Sarubbo
2016-06-04  5:04 Markus Meier
2016-05-30 12:35 Tobias Klausmann
2016-01-28  8:35 Tobias Klausmann
2016-01-17 11:29 Markus Meier
2016-01-15 13:22 Andreas Schuerch
2016-01-13 17:18 Tobias Klausmann
2016-01-09 18:21 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1671010751.f3da271eb8ff3b4d2d6868a6e7c3f3126378dcf8.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox